%define upstream_name    Term-Encoding
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Detect encoding of the current terminal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
Term::Encoding is a simple module to detect an encoding the current
terminal expects, in various ways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1033924
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 931561
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 746433
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686367
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 515007
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 373219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 27081
- mageia rebuild
- imported package perl-Term-Encoding


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 406185
- rebuild using %%perl_convert_version

* Thu Mar 05 2009 Michael Scherer <misc@mandriva.org> 0.02-1mdv2009.1
+ Revision: 348721
- import perl-Term-Encoding


